ControllerConfig (Apache Struts API Documentation)
Keywords: org.apache.struts.config.ControllerConfig,ControllerConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ControllerConfig

    java.lang.Object
      |
      +--org.apache.struts.config.ControllerConfig

All Implemented Interfaces:
  java.io.Serializable

public class ControllerConfig
extends java.lang.Object
implements java.io.Serializable

A JavaBean representing the configuration information of a `<controller>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected int` | `bufferSize` The input buffer size for file uploads.
`protected boolean` | `configured` Has this component been completely configured?
`protected java.lang.String` | `contentType` The content type and character encoding to be set on each response.
`protected int` | `debug` Deprecated. Configure the logging detail level in your underlying logging implemenation
`protected java.lang.String` | `forwardPattern` The replacement pattern used to determine a context-relative URL from a `ForwardConfig` element.
`protected boolean` | `inputForward` Should the `input` property of `ActionConfig` instances associated with this module be treated as the name of a corresponding `ForwardConfig`.
`protected boolean` | `locale` Should we store a Locale object in the user's session if needed?
`protected java.lang.String` | `maxFileSize` The maximum file size to process for file uploads.
`protected java.lang.String` | `memFileSize` The maximum file size to retain in memory.
`protected java.lang.String` | `multipartClass` The fully qualified Java class name of the MultipartRequestHandler class to be used.
`protected boolean` | `nocache` Should we set no-cache HTTP headers on each response?
`protected java.lang.String` | `pagePattern` The replacement pattern used to determine a context-relative URL from the `page` attribute of Struts tags and configuration properties.
`protected java.lang.String` | `processorClass` The fully qualified class name of the RequestProcessor implementation class to be used for this module.
`protected java.lang.String` | `tempDir` The temporary working directory to use for file uploads.

Constructor Summary
`ControllerConfig()`

Method Summary
`void` | `freeze()` Freeze the configuration of this component.
`int` | `getBufferSize()`
`java.lang.String` | `getContentType()`
`int` | `getDebug()`
`java.lang.String` | `getForwardPattern()`
`boolean` | `getInputForward()`
`boolean` | `getLocale()`
`java.lang.String` | `getMaxFileSize()`
`java.lang.String` | `getMemFileSize()`
`java.lang.String` | `getMultipartClass()`
`boolean` | `getNocache()`
`java.lang.String` | `getPagePattern()`
`java.lang.String` | `getProcessorClass()`
`java.lang.String` | `getTempDir()`
`void` | `setBufferSize(int bufferSize)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDebug(int debug)`
`void` | `setForwardPattern(java.lang.String forwardPattern)`
`void` | `setInputForward(boolean inputForward)`
`void` | `setLocale(boolean locale)`
`void` | `setMaxFileSize(java.lang.String maxFileSize)`
`void` | `setMemFileSize(java.lang.String memFileSize)`
`void` | `setMultipartClass(java.lang.String multipartClass)`
`void` | `setNocache(boolean nocache)`
`void` | `setPagePattern(java.lang.String pagePattern)`
`void` | `setProcessorClass(java.lang.String processorClass)`
`void` | `setTempDir(java.lang.String tempDir)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### configured

    protected boolean configured

  Has this component been completely configured?

### bufferSize

    protected int bufferSize

  The input buffer size for file uploads.

### contentType

    protected java.lang.String contentType

  The content type and character encoding to be set on each response.

### debug

    protected int debug

  Deprecated. Configure the logging detail level in your underlying logging implemenation

  The debugging detail level that determines logging verbosity.

### forwardPattern

    protected java.lang.String forwardPattern

  The replacement pattern used to determine a context-relative URL from a `ForwardConfig` element. The pattern may consist of any combination of the following markers and characters:

  - `$M` - Replaced by the module prefix for the current module.
  - `$P` - Replaced by the `path` property of a `ForwardConfig` instance.
  - `$$` - Renders a literal dollar sign ("$") character in the resulting URL.
  - A dollar sign followed by any other character is reserved for future use, and both characters are silently swallowed.
  - All other characters in the pattern are passed through unchanged.

  If this property is set to `null`, a default pattern of `$M$P` is utilized, which is backwards compatible with the hard coded functionality in prior versions.

### inputForward

    protected boolean inputForward

  Should the `input` property of `ActionConfig` instances associated with this module be treated as the name of a corresponding `ForwardConfig`. A `false` value treats them as a module-relative path (consistent with the hard coded behavior of earlier versions of Struts.

  Since:
    Struts 1.1

### locale

    protected boolean locale

  Should we store a Locale object in the user's session if needed?

### maxFileSize

    protected java.lang.String maxFileSize

  The maximum file size to process for file uploads.

### memFileSize

    protected java.lang.String memFileSize

  The maximum file size to retain in memory.

### multipartClass

    protected java.lang.String multipartClass

  The fully qualified Java class name of the MultipartRequestHandler class to be used.

### nocache

    protected boolean nocache

  Should we set no-cache HTTP headers on each response?

### pagePattern

    protected java.lang.String pagePattern

  The replacement pattern used to determine a context-relative URL from the `page` attribute of Struts tags and configuration properties. The pattern may consist of any combination of the following markers and characters:

  - `$M` - Replaced by the module prefix for the current module.
  - `$P` - Replaced by the `page` attribute value being evaluated.
  - `$$` - Renders a literal dollar sign ("$") character in the resulting URL.
  - A dollar sign followed by any other character is reserved for future use, and both characters are silently swallowed.
  - All other characters in the pattern are passed through unchanged.

  If this property is set to `null`, a default pattern of `$M$P` is utilized, which is backwards compatible with the hard coded functionality in prior versions.

### processorClass

    protected java.lang.String processorClass

  The fully qualified class name of the RequestProcessor implementation class to be used for this module.

### tempDir

    protected java.lang.String tempDir

  The temporary working directory to use for file uploads.

Constructor Detail

### ControllerConfig

    public ControllerConfig()

Method Detail

### getBufferSize

    public int getBufferSize()

### setBufferSize

    public void setBufferSize(int bufferSize)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

### getDebug

    public int getDebug()

### setDebug

    public void setDebug(int debug)

### getForwardPattern

    public java.lang.String getForwardPattern()

### setForwardPattern

    public void setForwardPattern(java.lang.String forwardPattern)

### getInputForward

    public boolean getInputForward()

### setInputForward

    public void setInputForward(boolean inputForward)

### getLocale

    public boolean getLocale()

### setLocale

    public void setLocale(boolean locale)

### getMaxFileSize

    public java.lang.String getMaxFileSize()

### setMaxFileSize

    public void setMaxFileSize(java.lang.String maxFileSize)

### getMemFileSize

    public java.lang.String getMemFileSize()

### setMemFileSize

    public void setMemFileSize(java.lang.String memFileSize)

### getMultipartClass

    public java.lang.String getMultipartClass()

### setMultipartClass

    public void setMultipartClass(java.lang.String multipartClass)

### getNocache

    public boolean getNocache()

### setNocache

    public void setNocache(boolean nocache)

### getPagePattern

    public java.lang.String getPagePattern()

### setPagePattern

    public void setPagePattern(java.lang.String pagePattern)

### getProcessorClass

    public java.lang.String getProcessorClass()

### setProcessorClass

    public void setProcessorClass(java.lang.String processorClass)

### getTempDir

    public java.lang.String getTempDir()

### setTempDir

    public void setTempDir(java.lang.String tempDir)

### freeze

    public void freeze()

  Freeze the configuration of this component.

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation